%define name	opengroupware-gstep-db
%define version 4.2
%define cvs     20040523
%define release %{cvs}.1mdk

%ifarch %ix86 amd64 x86_64
  %define dirarch ix86
%endif
%ifarch %ppc
  %define dirarch ppc
%endif
%ifarch sparc
  %define dirarch sparc
%endif
%ifarch alpha
  %define dirarch alpha
%endif

Summary:     GNUstep Database Library, OpenGroupware.org version
Name:        %{name}
Version:     %{version}
Release:     %{release}
License:     LGPL
URL:         http://www.opengroupware.org
Group:       System/Libraries
Prefix:      %{_libdir}/opengroupware.org/system
BuildRoot:   %{_tmppath}/%{name}-buildroot
Requires:    opengroupware-gstep-make, opengroupware-libfoundation, opengroupware-core
Source:      opengroupware.org-gstep-db-%{cvs}.tar.bz2

BuildRequires: opengroupware-gstep-make opengroupware-gstep-make-devel
BuildRequires: opengroupware-gstep-objc opengroupware-gstep-objc-devel 
BuildRequires: opengroupware-libfoundation opengroupware-libfoundation-devel
BuildRequires: opengroupware-xml opengroupware-xml-devel 
BuildRequires: opengroupware-core opengroupware-core-devel
Requires:      opengroupware-gstep-make 
BuildRequires: postgresql-devel 
BuildRequires: postgresql-libs 
BuildRequires: gcc-objc

%description
This package contains the GNUstep database library. It is used to
access relational databases.

%package devel
Summary: The header files for the GDL library.
Group:   Development/Other
Requires: %name

%description devel
The devel package contains the header files for the GDL library.

%package postgresql72
Summary:  PostgreSQL 7.2 adaptor for GDL
Group:    Development/Other
Requires: opengroupware-gstep-db
Provides: opengroupware-gstep-db-dbadaptor
Requires: postgresql-libs >= 7.2


%description postgresql72
This package contains a PostgreSQL 7.2 adaptor for GDL. This
can be used for PostgreSQL servers starting with version 7.2. It
does *not* work with PostgreSQL 6.x !

%prep
%setup -q -n opengroupware.org-gstep-db

%build

source %{prefix}/Makefiles/GNUstep.sh
export GNUSTEP_USER_ROOT=${RPM_BUILD_ROOT}%{prefix}

%install
rm -rf $RPM_BUILD_ROOT

source %{prefix}/Makefiles/GNUstep.sh
export GNUSTEP_USER_ROOT=${RPM_BUILD_ROOT}%{prefix}

cd GDLAccess; make -s debug=yes INSTALL_ROOT_DIR="${RPM_BUILD_ROOT}" GNUSTEP_INSTALLATION_DIR="${RPM_BUILD_ROOT}${GNUSTEP_SYSTEM_ROOT}" install; cd ..

cd PostgreSQL72
make -s debug=yes \
    GNUSTEP_INSTALLATION_DIR="${RPM_BUILD_ROOT}${GNUSTEP_SYSTEM_ROOT}" \
    INSTALL_ROOT_DIR="${RPM_BUILD_ROOT}" \
    BUNDLE_INSTALL_DIR="${RPM_BUILD_ROOT}${GNUSTEP_SYSTEM_ROOT}/Libraries/Adaptors" \
    install
cd ..


%pre
if test "x${RPM_INSTALL_PREFIX}" = "x"; then
  RPM_INSTALL_PREFIX="%{prefix}"
fi

if ! test -d ${RPM_INSTALL_PREFIX}; then
  echo "missing RPM install path: ${RPM_INSTALL_PREFIX} !"
  exit 1
fi

GSCFG="${RPM_INSTALL_PREFIX}/Makefiles/GNUstep.sh"
if ! test -f $GSCFG ; then
  echo "missing GNUstep environment: ${GSCFG} !"
  exit 2
fi

%post
if test "x${RPM_INSTALL_PREFIX}" = "x"; then
  RPM_INSTALL_PREFIX="%{prefix}"
fi
/sbin/ldconfig -n $RPM_INSTALL_PREFIX/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil

%post devel

if test "x${RPM_INSTALL_PREFIX}" = "x"; then
  RPM_INSTALL_PREFIX="%{prefix}"
fi

if ! test -e ${RPM_INSTALL_PREFIX}/Headers/GDLAccess; then
  cd ${RPM_INSTALL_PREFIX}/Headers
  ln -sf EOAccess GDLAccess
fi
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING.LIB Version 
%{prefix}/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil/libGDLAccess*.so*.1.0*
%{prefix}/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil/libGDLExtensions*.so*.1.0*
%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/load-EOAdaptor
%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/connect-EOAdaptor

%files devel
%defattr(-,root,root,-)
%{prefix}/Headers/GDLAccess
%{prefix}/Headers/EOAccess
%{prefix}/Headers/eoaccess
%{prefix}/Headers/GDLExtensions
%{prefix}/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil/libGDLAccess*.so
%{prefix}/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil/libGDLExtensions*.so

%files postgresql72
%defattr(-,root,root,-)
%{prefix}/Libraries/Adaptors/PostgreSQL72.gdladaptor


%changelog
* Mon May 24 2004 Spencer Anderson <sdander@oberon.ark.com> 4.2-20040523.1mdk
- 20040523
- make arch aware

* Wed Feb 11 2004 Spencer Anderson <sdander@oberon.ark.com> 4.2-20040204.1mdk
- 20040204

* Thu Dec 4 2003 Spencer Anderson <sdander@oberon.ark.com> 4.2-20031201.1mdk
- new snapshot - bugfixes

* Mon Oct 5 2003 Spencer Anderson <sdander@oberon.ark.com> 4.2-20031001.1mdk
- new snapshot
- specfile cleanup

* Mon Sep 1 2003 Austin Acton <aacton@yorku.ca> 4.2-20030721.1mdk
- from Spencer Anderson <sdander@oberon.ark.com> :
  - initial Mandrake release
  - based on Redhat specfile

